Skip to main content
GET
List all FX trades

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity. Use the clientEntityId returned when you create a client with Create a partner client (POST /v1/partner/clients). This is not the entityId of your own account returned by GET /v1/accounts.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

settlementId
string<uuid>

Queries trades in the specified settlement.

Example:

"b48c8962-8e9f-40c3-9f1d-d9adde2ffe61"

status
enum<string>[]

Queries trades with any of the specified statuses. Matches any status if unspecified.

Status of the trade.

Available options:
pending,
confirmed,
pending_settlement,
complete,
failed
currency
enum<string>[]

Queries trades where either the from or to currency matches any of the specified currencies.

Stablecoin on one leg of an FX swap. Digital Asset Accounts support USDC <> EURC swaps only.

Available options:
USDC,
EURC
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive beginning of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If omitted, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of trades.

data
object[]